package io.gmss.fiscad.paylaods.response.restoration;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import io.gmss.fiscad.deserializer.LocalDateDeserializer;

import java.time.LocalDate;

public interface EnqueteBatimentPayLoad {
    public Long getIdBackend();

    public Long getExternalKey();

    public float getSurfaceAuSol();

    public String getAutreMenuisierie();

    public String getAutreMur();

    public boolean getSbee();

    public String getNumCompteurSbee();

    public boolean getSoneb();

    public String getNumCompteurSoneb();

    public int getNbreLotUnite();

    public int getNbreUniteLocation();

    public float getSurfaceLouee();

    public int getNbreMenage();

    public int getNbreHabitant();

    public float getValeurMensuelleLocation();

    public int getNbreMoisLocation();

    public String getAutreCaracteristiquePhysique();

    @JsonFormat(pattern = "dd-MM-yyyy")
    @JsonDeserialize(using = LocalDateDeserializer.class)
    public LocalDate getDateDebutExcemption();

    @JsonFormat(pattern = "dd-MM-yyyy")
    @JsonDeserialize(using = LocalDateDeserializer.class)
    public LocalDate getDateFinExcemption();

    public Long getPersonneId();

    public Long getBatimentId();

    public Long getEnqueteId();

    public Long getTerminalId();

    public Long getUserId();
}
